local mirko = import "../../kube/mirko.libsonnet";
local kube = import "../../kube/kube.libsonnet";

{
    cfg:: {
        image: "registry.k0.hswaw.net/q3k/hswaw-site:1643708475-9c680f637a009d9902031d4b1e15c9f8d9f9f1df",
        webFQDN: error "webFQDN must be set",
    },

    component(cfg, env):: mirko.Component(env, "site") {
        local site = self,
        cfg+: {
            image: cfg.image,
            container: site.GoContainer("main", "/hswaw/site/site") {
            },
            ports+: {
                publicHTTP: {
                    web: {
                        port: 8080,
                        dns: cfg.webFQDN,
                    }
                },
            },
        },
    },
}
